"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = require("react");
var _UserContext = require("../contexts/UserContext");
var _StaticData = require("../static/StaticData");
var _GetUsername = _interopRequireDefault(require("./MobileAndPasswordAndOtp/GetUsername"));
var _Verification = _interopRequireDefault(require("./MobileAndPasswordAndOtp/Verification"));
var _GetPassword = _interopRequireDefault(require("./MobileAndPasswordAndOtp/GetPassword"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
var LoginPageHandler = function LoginPageHandler(_ref) {
  var loginType = _ref.loginType;
  var _useContext = (0, _react.useContext)(_UserContext.UserContext),
    user = _useContext.user,
    setUser = _useContext.setUser;
  var _useState = (0, _react.useState)(1),
    _useState2 = _slicedToArray(_useState, 2),
    setp = _useState2[0],
    setStep = _useState2[1];
  if (loginType == _StaticData.LoginTypes.UsernameAndPasswordAndOtp) {} else if (loginType == _StaticData.LoginTypes.MobileAndPasswordAndOpt) {
    return /*#__PURE__*/React.createElement(React.Fragment, null, step == 1 && /*#__PURE__*/React.createElement(_GetUsername["default"], {
      step: step,
      setStep: setStep
    }), step == 2 && /*#__PURE__*/React.createElement(_Verification["default"], {
      step: step,
      setStep: setStep
    }), step == 3 && /*#__PURE__*/React.createElement(_GetPassword["default"], {
      step: step,
      setStep: setStep
    }));
  } else if (loginType == _StaticData.LoginTypes.UsernameAndPassword) {} else if (loginType == _StaticData.LoginTypes.MobileVerification) {}
};
var _default = exports["default"] = LoginPageHandler;