"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoginPage = void 0;
var _react = require("react");
var _navigation = require("next/navigation");
var _UserContext = require("../contexts/UserContext");
var _LoginPageHandler = _interopRequireDefault(require("../components/LoginPageHandler"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
var LoginPage = exports.LoginPage = function LoginPage(_ref) {
  var loginPageType = _ref.loginPageType;
  var searchParams = (0, _navigation.useSearchParams)();
  var _useState = (0, _react.useState)({
      Mobile: '',
      Username: '',
      Password: '',
      LoginType: loginType,
      authToken: '',
      validationCode: '',
      callbackAddr: searchParams.get("ref") || '/',
      redirect: false
    }),
    _useState2 = _slicedToArray(_useState, 2),
    user = _useState2[0],
    setUser = _useState2[1];
  var _useState3 = (0, _react.useState)(1),
    _useState4 = _slicedToArray(_useState3, 2),
    step = _useState4[0],
    setStep = _useState4[1];

  // useEffect(() =>{
  //     if (step == 2 ) {
  //         setUser((prev) => ({
  //             ...prev,
  //             ["LoginType"]:1
  //         }))
  //     }else if (step == 3) {
  //         setUser((prev) => ({
  //             ...prev,
  //             ["LoginType"]:2
  //         }))
  //     }
  // },[step])

  var val = {
    user: user,
    setUser: setUser
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "panel-content py-1"
  }, /*#__PURE__*/React.createElement(_UserContext.UserContext.Provider, {
    value: val
  }, /*#__PURE__*/React.createElement(_LoginPageHandler["default"], {
    loginType: loginPageType
  })));
};