'use client'

import { useContext, useState } from "react";
import { UserContext } from "../contexts/UserContext";
import { LoginTypes } from "../static/StaticData";
import GetUsername from "./MobileAndPasswordAndOtp/GetUsername";
import Verification from "./MobileAndPasswordAndOtp/Verification";
import GetPassword from "./MobileAndPasswordAndOtp/GetPassword";

const LoginPageHandler = ({loginType}) =>{
    const {user,setUser} = useContext(UserContext);
    const [setp,setStep] = useState(1);



    if (loginType == LoginTypes.UsernameAndPasswordAndOtp) {
        
    }else if (loginType == LoginTypes.MobileAndPasswordAndOpt) {
        return (
            <>
                {/* <!-- step 1 getUsername --> */}
                { step == 1 &&(
                    <GetUsername step={step} setStep={setStep}/>
                )}
                
        
                {/* <!-- verification --> */}
                {step  ==  2 && (
                    <Verification step={step} setStep={setStep}/>
                )}
        
        
                {step  ==  3 && (
                    <GetPassword step={step} setStep={setStep}/>
                )}
            
            </>
                
        
           )
    }else if (loginType == LoginTypes.UsernameAndPassword) {
        
    }else if (loginType == LoginTypes.MobileVerification) {
        
    }

}

export default LoginPageHandler;